# `atuin sync`

Autin может сделать резервную копию вашей истории на сервер чтобы обеспечить использование 
разными компьютерами одной и той же истории. Вся история будет зашифрована двусторонним шифрованием,
так что сервер _никогда_ не получит ваши данные!

Можно сделать свой сервер (запустив `atuin server start`, об этом написано в других 
файлах документациии), но у меня есть свой https://api.atuin.sh. Это серверный адрес по умолчанию,
который может быть изменён в [конфигурации](config_ru.md). Опять же, я _не_ могу получить ваши данные 
и они мне не нужны.

## Частота синхронизации

Синхронизация будет происходить автоматически, если обратное не было указано в конфигурации.
Отконфигурировать сей параметр можно в [config](config_ru.md)

## Синхронизация

Синхронизироваться также можно вручную, используя команду `atuin sync`

## Регистрация

Можно зарегистрировать аккаунт для синхронизации:

```
atuin register -u <USERNAME> -e <EMAIL> -p <PASSWORD>
```

Имена пользователей должны быть уникальны, и электронная почта должна использваться 
только для срочных уведомлений (изменения политик, нарушения безопасности и т.д.)

Псоле регистрации, вы уже сразу вошли в свой аккаунт :) С этого момента синхронизация 
будет проходить автоматически

## Ключ

Поскольку все данные шифруются, Autin при работе сгенерирует ваш ключ. Он будет сохранён в 
каталоге с данными Autin (`~/.local/share/atuin` на системах с GNU/Linux)

Также можно сделать это самим:

```
atuin key
```

Никогда не передавайте никому этот ключ!

## Вход

Если вы хотите войти с другого компьютера, вам потребуется ключ безопасности (`atuin key`).

```
atuin login -u <USERNAME> -p <PASSWORD> -k <KEY>
```

## Выход

```
atuin logout
```
